#!/usr/bin/python
# -*- coding: utf-8 -*-

from distribute_setup import use_setuptools
use_setuptools()

import sys
from setuptools import find_packages, setup

if sys.version_info >= (3,):
    extras['use_2to3'] = True


setup(
    name='reflowctl_gui',
    version='0.1',
    packages=find_packages(),

    include_package_data = True,

    install_requires=["numpy", "matplotlib"],

    # installing unzipped
    zip_safe = False,

    # predefined extension points, e.g. for plugins
    entry_points = """
    [console_scripts]
    reflowctl_gui = reflowctl.reflowctl_gui:main
    """,
    # pypi metadata
    author = "Stefan Kögl",

    # FIXME: add author email
    author_email = "",
    description = "paludis useflag management",

    # FIXME: add long_description
    long_description = """
    """,

    # FIXME: add license
    license = "GPL",

    # FIXME: add keywords
    keywords = "",

    # FIXME: add download url
    url = "",
)
